Method: projects.locations.collections.engines.assistants.createCachedContent

Creates an explicit context cache (Vertex CachedContent); its name is passed as cachedContent on subsequent assistants.generateContent requests. Limited to Gemini Enterprise clients (ASSISTANT_USER visibility).

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:createCachedContent

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the Assistant serving the request. Format: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}

Request body

The request body contains data with the following structure:

JSON representation
{
  "model": string,
  "httpBody": {
    object (HttpBody)
  }
}
Fields
model

string

Required. Opaque model ID the cache is used with; must match the model on the assistants.generateContent requests that reference it.

httpBody

object (HttpBody)

Required. The Vertex CachedContent to create, as JSON.

Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • discoveryengine.assistants.assist

For more information, see the IAM documentation.